#pragma once

#include "util/simpleobject/AgString.h"
#include "util/Pointers.h"

class DeviceRecommendation
{
private:
    AgString name;
    AgString description;

public:
	static DeviceRecommendationPtr getBlank();
    AgString getName();
    AgString getDescription();
    AgString toString(); 

	DeviceRecommendation();
    DeviceRecommendation(const AgString& name, const AgString& description);
};
